# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2018-01-24 11:25
from __future__ import unicode_literals
import uuid

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import sberbank.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='BankLog',
            fields=[
                ('uid', models.UUIDField(
                    default=uuid.uuid4,
                    editable=False,
                    primary_key=True, serialize=False)),
                ('payment_id', models.UUIDField(null=True)),
                ('bank_id', models.UUIDField(null=True)),
                ('request_type', models.CharField(
                    choices=[
                        (0, 'CREATE'),
                        (1, 'CALLBACK'),
                        (2, 'CHECK_STATUS')],
                    max_length=1)),
                ('response_json',
                 django.contrib.postgres.fields.jsonb.JSONField(
                     blank=True,
                     null=True)),
                ('response_text', models.TextField(null=True)),
                ('created', models.DateTimeField(auto_now_add=True)),
            ],
        ),
        migrations.CreateModel(
            name='Payment',
            fields=[
                ('uid', models.UUIDField(
                    default=uuid.uuid4,
                    editable=False,
                    primary_key=True,
                    serialize=False)),
                ('bank_id', models.UUIDField(null=True)),
                ('amount', models.DecimalField(
                    decimal_places=2,
                    max_digits=128)),
                ('error_code', models.PositiveIntegerField(null=True)),
                ('error_message', models.TextField(null=True)),
                ('status', models.PositiveSmallIntegerField(
                    choices=[
                        (0, 'CREATED'),
                        (1, 'PENDING'),
                        (2, 'SUCCEEDED'),
                        (3, 'FAILED')],
                    default=sberbank.models.Status(0))),
                ('details', django.contrib.postgres.fields.jsonb.JSONField(
                    blank=True,
                    null=True)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
            ],
        ),
    ]
