# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2018-03-07 06:52
from __future__ import unicode_literals

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import sberbank.models


class Migration(migrations.Migration):

    dependencies = [
        ('sberbank', '0001_initial'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='banklog',
            options={'ordering': ['-created'], 'verbose_name': 'лог сообщений', 'verbose_name_plural': 'лог сообщений'},
        ),
        migrations.AlterModelOptions(
            name='payment',
            options={'ordering': ['-updated'], 'verbose_name': 'платеж', 'verbose_name_plural': 'платежи'},
        ),
        migrations.AlterField(
            model_name='banklog',
            name='bank_id',
            field=models.UUIDField(blank=True, null=True, verbose_name='Идентификатор платежа банка'),
        ),
        migrations.AlterField(
            model_name='banklog',
            name='created',
            field=models.DateTimeField(auto_now_add=True, verbose_name='Создано'),
        ),
        migrations.AlterField(
            model_name='banklog',
            name='payment_id',
            field=models.UUIDField(blank=True, null=True, verbose_name='Идентификатор платежа'),
        ),
        migrations.AlterField(
            model_name='banklog',
            name='request_type',
            field=models.CharField(choices=[(0, 'CREATE'), (1, 'CALLBACK'), (2, 'CHECK_STATUS')], max_length=1, verbose_name='Тип запроса'),
        ),
        migrations.AlterField(
            model_name='banklog',
            name='response_json',
            field=django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True, verbose_name='Ответ банка(json)'),
        ),
        migrations.AlterField(
            model_name='banklog',
            name='response_text',
            field=models.TextField(blank=True, null=True, verbose_name='Ответ банка'),
        ),
        migrations.AlterField(
            model_name='payment',
            name='amount',
            field=models.DecimalField(decimal_places=2, max_digits=128, verbose_name='Сумма платежа'),
        ),
        migrations.AlterField(
            model_name='payment',
            name='bank_id',
            field=models.UUIDField(blank=True, null=True, verbose_name='Идентификатор банка'),
        ),
        migrations.AlterField(
            model_name='payment',
            name='created',
            field=models.DateTimeField(auto_now_add=True, verbose_name='Создано'),
        ),
        migrations.AlterField(
            model_name='payment',
            name='details',
            field=django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True, verbose_name='Детали платежа'),
        ),
        migrations.AlterField(
            model_name='payment',
            name='error_code',
            field=models.PositiveIntegerField(blank=True, null=True, verbose_name='Код ошибки банка'),
        ),
        migrations.AlterField(
            model_name='payment',
            name='error_message',
            field=models.TextField(blank=True, null=True, verbose_name='Описание ошибки банка'),
        ),
        migrations.AlterField(
            model_name='payment',
            name='status',
            field=models.PositiveSmallIntegerField(choices=[(0, 'CREATED'), (1, 'PENDING'), (2, 'SUCCEEDED'), (3, 'FAILED')], default=sberbank.models.Status(0), verbose_name='Статус платежа'),
        ),
        migrations.AlterField(
            model_name='payment',
            name='updated',
            field=models.DateTimeField(auto_now=True, verbose_name='Обновлено'),
        ),
    ]
